Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 642242 - app-office/scribus-1.5.3-r1: You must build your code with position independent code if Qt was built with -reduce-relocations. Compile your code with -fPIC is not enough.
Summary: app-office/scribus-1.5.3-r1: You must build your code with position independe...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Justin Lecher
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: 631800
  Show dependency tree
 
Reported: 2017-12-26 00:31 UTC by Thomas Deutschmann
Modified: 2018-01-09 13:46 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,34.44 KB, text/plain)
2017-12-26 00:31 UTC, Thomas Deutschmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2017-12-26 00:31:32 UTC
Created attachment 511612 [details]
build.log

In file included from /usr/include/qt5/QtCore/qalgorithms.h:43:0,
                 from /usr/include/qt5/QtCore/qlist.h:43,
                 from /usr/include/qt5/QtCore/QList:1,
                 from /var/tmp/portage/app-office/scribus-1.5.3-r1/work/scribus-1.5.3/scribus/colormgmt/sccolormgmtengine.h:11,
                 from /var/tmp/portage/app-office/scribus-1.5.3-r1/work/scribus-1.5.3/scribus/colormgmt/sccolormgmtengine.cpp:9:
/usr/include/qt5/QtCore/qglobal.h:1113:4: error: #error "You must build your code with position independent code if Qt was built with -reduce-relocations. " "Compile your code with -fPIC (-fPIE is not enough)."
 #  error "You must build your code with position independent code if Qt was built with -reduce-relocations. "\
    ^~~~~
ninja: build stopped: subcommand failed.
 * ERROR: app-office/scribus-1.5.3-r1::gentoo failed (compile phase):
 *   ninja -v -j5 -l7.95 failed
 *




Portage 2.3.13 (python 3.5.4-final-0, default/linux/x86/17.0, gcc-6.4.0, glibc-2.25-r9, 4.14.7-gentoo i686)
=================================================================
System uname: Linux-4.14.7-gentoo-i686-Intel-R-_Core-TM-_i7-3770K_CPU_@_3.50GHz-with-gentoo-2.4.1
KiB Mem:     3107824 total,   1401964 free
KiB Swap:     488276 total,    485204 free
Timestamp of repository gentoo: Mon, 25 Dec 2017 21:33:05 +0000
Head commit of repository gentoo: 9f15c3179d1ff54d6a5968fcbd9caa99815f3761

sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
app-shells/bash:          4.3_p48-r1::gentoo
dev-lang/perl:            5.24.3::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.5.4-r1::gentoo
dev-util/cmake:           3.8.2::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.10-r4::gentoo
sys-devel/autoconf:       2.69::gentoo
sys-devel/automake:       1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r9::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/gentoo.git
    priority: -1000

ABI="x86"
ABI_X86="32"
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ARCH="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m"
CHOST="i686-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
COLLISION_IGNORE="/lib/modules/* *.py[co] *$py.class */dropin.cache"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CPU_FLAGS_X86="mmx mmxext sse sse2"
CXXFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m"
DEFAULT_ABI="x86"
EDITOR="/usr/bin/mcedit"
ELIBC="glibc"
EPREFIX=""
EROOT="/"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs cgroup config-protect-if-modified distlocks downgrade-backup ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe"
GCC_SPECS=""
GRUB_PLATFORMS="efi-32 pc"
GSETTINGS_BACKEND="dconf"
HOME="/root"
INFOPATH="/usr/share/gcc-data/i686-pc-linux-gnu/6.4.0/info:/usr/share/binutils-data/i686-pc-linux-gnu/2.29.1/info:/usr/share/info"
INPUT_DEVICES="libinput keyboard mouse"
IUSE_IMPLICIT="abi_x86_32 prefix prefix-chain prefix-guest"
KERNEL="linux"
L10N="en en-US de de-DE"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LC_MESSAGES="C"
LC_PAPER="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LIBDIR_x86="lib"
LINGUAS="en de"
LOGNAME="root"
MAIL="/var/mail/root"
MAKEOPTS="--jobs 5 --load-average 7.95"
MULTILIB_ABIS="x86"
NOCOLOR="true"
OFFICE_IMPLEMENTATION="libreoffice"
OPENGL_PROFILE="xorg-x11"
PAGER="/usr/bin/less"
PATH="/usr/i686-pc-linux-gnu/gcc-bin/6.4.0:/usr/lib/llvm/4/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin"
PHP_TARGETS="php5-6 php7-0"
POSTGRES_TARGETS="postgres9_5"
PWD="/root"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_SINGLE_TARGET="python3_5"
PYTHON_TARGETS="python2_7 python3_5"
QT_GRAPHICSSYSTEM="raster"
ROOT="/"
ROOTPATH="/usr/i686-pc-linux-gnu/gcc-bin/6.4.0:/usr/lib/llvm/4/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin"
RUBY_TARGETS="ruby22"
SHELL="/bin/bash"
SHLVL="2"
SSH_TTY="/dev/pts/0"
TERM="screen"
TMUX="/tmp/tmux-0/default,5029,0"
TMUX_PANE="%2"
TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE="1"
USER="root"
USERLAND="GNU"
VIDEO_CARDS="vmware"
Comment 1 Thomas Deutschmann gentoo-dev Security 2017-12-26 00:32:53 UTC
My x86 box is using the default/linux/x86/17.0 profile and I rebuilt world after I switched profile.
Comment 2 Thomas Deutschmann gentoo-dev Security 2017-12-26 02:08:01 UTC
diff --git a/CMakeLists.txt b/CMakeLists.txt
index 4b45e75..2125197 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -159,7 +159,7 @@ endif()
 # http://www.gentoo.org/proj/en/base/amd64/howtos/index.xml?part=1&chap=3 and
 # http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=559133
 
-if (ARCH_X86_64 EQUAL 1 OR ARCH_HPPA EQUAL 1 OR ARCH_MIPS EQUAL 1 OR ARCH_MIPS_64 EQUAL 1 OR ARCH_PPC_64 EQUAL 1)
+if (ARCH_X86 EQUAL 1 OR ARCH_X86_64 EQUAL 1 OR ARCH_HPPA EQUAL 1 OR ARCH_MIPS EQUAL 1 OR ARCH_MIPS_64 EQUAL 1 OR ARCH_PPC_64 EQUAL 1)
 	set(CMAKE_CXX_FLAGS_FPIC "-fPIC")
 endif()
 



...fixes the problem. We should maybe update the comment above in addition.
Comment 3 Larry the Git Cow gentoo-dev 2018-01-09 13:46:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=011a496c85cf6f36b24082a3ac55f6b63162f2e5

commit 011a496c85cf6f36b24082a3ac55f6b63162f2e5
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-01-09 13:32:06 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-01-09 13:46:14 +0000

    app-office/scribus: Fix build w/ x86 on 17.0 profile
    
    Closes: https://bugs.gentoo.org/642242
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 app-office/scribus/files/scribus-1.5.3-x86-fpic.patch | 16 ++++++++++++++++
 app-office/scribus/scribus-1.5.3-r1.ebuild            |  1 +
 app-office/scribus/scribus-9999.ebuild                |  2 +-
 3 files changed, 18 insertions(+), 1 deletion(-)